Node ->
Arg Result : &TreeNode,
    Root : TreeNode, Key : Integer : 2^32

Node = Root ..

- BitsIn Key ( Bit : 
                     - Next 'Node' Bit
             )

If Node <> Root then Result = Node

/

Next Node ->
Arg Node : ^&TreeNode,
    Bit : 1 | 0

Error : ERR_* = . ..

If Bit = 0 then
 If Node.Left then Node = Node.Left
 Else Error = ERR_KEY_NOT_FOUND
Else
 If Node.Right then Node = Node.Right
 Else Error = ERR_KEY_NOT_FOUND
;

If Error then
 Exit Error
Else
 /